scala.collection.parallel.mutable

# ParMapLike

#### trait ParMapLike[K, V, +Repr <: ParMapLike[K, V, Repr, Sequential] with ParMap[K, V], +Sequential <: mutable.Map[K, V] with mutable.MapLike[K, V, Sequential]] extends GenMapLike[K, V, Repr] with parallel.ParMapLike[K, V, Repr, Sequential] with Growable[(K, V)] with Shrinkable[K] with mutable.Cloneable[Repr]

A template trait for mutable parallel maps. This trait is to be mixed in with concrete parallel maps to override the representation type.

The higher-order functions passed to certain operations may contain side-effects. Since implementations of bulk operations may not be sequential, this means that side-effects may not be predictable and may produce data-races, deadlocks or invalidation of state if care is not taken. It is up to the programmer to either avoid using side-effects or to use some form of synchronization when accessing mutable data.

K

  the key type of the map

V

  the value type of the map

Source
  ParMapLike.scala
Since

  2.9

Linear Supertypes
mutable.Cloneable[Repr], Cloneable, java.lang.Cloneable, Shrinkable[K], Growable[(K, V)], Clearable, parallel.ParMapLike[K, V, Repr, Sequential], ParIterableLike[(K, V), Repr, Sequential], HasNewCombiner[(K, V), Repr], Parallel, CustomParallelizable[(K, V), Repr], GenMapLike[K, V, Repr], Equals, GenIterableLike[(K, V), Repr], GenTraversableLike[(K, V), Repr], Parallelizable[(K, V), Repr], GenTraversableOnce[(K, V)], AnyRef, Any
Known Subclasses
ParHashMap, ParMap, ParTrieMap, WithDefault
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ParMapLike
2. Cloneable
3. Cloneable
4. Cloneable
5. Shrinkable
6. Growable
7. Clearable
8. ParMapLike
9. ParIterableLike
10. HasNewCombiner
11. Parallel
12. CustomParallelizable
13. GenMapLike
14. Equals
15. GenIterableLike
16. GenTraversableLike
17. Parallelizable
18. GenTraversableOnce
19. AnyRef
20. Any

Implicitly

1. by traversable2ops
2. by any2stringadd
3. by any2stringfmt
4. by any2ArrowAssoc
5. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait Accessor[R, Tp] extends StrictSplitterCheckTask[R, Tp]

   Standard accessor task that iterates over the elements of the collection.

2. #### class Aggregate[S] extends Accessor[S, Aggregate[S]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

3. #### trait BuilderOps[Elem, To] extends AnyRef

   Definition Classes
     ParIterableLike

4. #### class Collect[S, That] extends Transformer[Combiner[S, That], Collect[S, That]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

5. #### abstract class Composite[FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends NonDivisibleTask[R, Composite[FR, SR, R, First, Second]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

6. #### class Copy[U >: T, That] extends Transformer[Combiner[U, That], Copy[U, That]]

   Attributes
     protected
   Definition Classes
     ParIterableLike

7. #### class CopyToArray[U >: T, This >: Repr] extends Accessor[Unit, CopyToArray[U, This]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

8. #### class Count extends Accessor[Int, Count]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

9. #### class CreateScanTree[U >: T] extends Transformer[ScanTree[U], CreateScanTree[U]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

10. #### class DefaultKeySet extends ParSet[K]

    Attributes
      protected
    Definition Classes
      ParMapLike

11. #### class DefaultValuesIterable extends ParIterable[V]

    Attributes
      protected
    Definition Classes
      ParMapLike

12. #### class Drop[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Drop[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

13. #### class Exists extends Accessor[Boolean, Exists]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

14. #### class Filter[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Filter[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

15. #### class FilterNot[U >: T, This >: Repr] extends Transformer[Combiner[U, This], FilterNot[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

16. #### class Find[U >: T] extends Accessor[Option[U], Find[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

17. #### class FlatMap[S, That] extends Transformer[Combiner[S, That], FlatMap[S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

18. #### class Fold[U >: T] extends Accessor[U, Fold[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

19. #### class Forall extends Accessor[Boolean, Forall]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

20. #### class Foreach[S] extends Accessor[Unit, Foreach[S]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

21. #### class FromScanTree[U >: T, That] extends StrictSplitterCheckTask[Combiner[U, That], FromScanTree[U, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

22. #### class GroupBy[K, U >: T] extends Transformer[HashMapCombiner[K, U], GroupBy[K, U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

23. #### class Map[S, That] extends Transformer[Combiner[S, That], Map[S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

24. #### class Max[U >: T] extends Accessor[Option[U], Max[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

25. #### class Min[U >: T] extends Accessor[Option[U], Min[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

26. #### trait NonDivisible[R] extends NonDivisibleTask[R, NonDivisible[R]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

27. #### trait NonDivisibleTask[R, Tp] extends StrictSplitterCheckTask[R, Tp]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

28. #### abstract class ParComposite[FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends Composite[FR, SR, R, First, Second]

    Performs two tasks in parallel, and waits for both to finish.

29. #### class Partition[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), Partition[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

30. #### class Product[U >: T] extends Accessor[U, Product[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

31. #### class Reduce[U >: T] extends Accessor[Option[U], Reduce[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

32. #### abstract class ResultMapping[R, Tp, R1] extends NonDivisibleTask[R1, ResultMapping[R, Tp, R1]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

33. #### type SSCTask[R, Tp] = StrictSplitterCheckTask[R, Tp]

    Definition Classes
      ParIterableLike

34. #### case class ScanLeaf[U >: T](pit: IterableSplitter[U], op: (U, U) ⇒ U, from: Int, len: Int, prev: Option[ScanLeaf[U]], acc: U) extends ScanTree[U] with scala.Product with Serializable

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

35. #### case class ScanNode[U >: T](left: ScanTree[U], right: ScanTree[U]) extends ScanTree[U] with scala.Product with Serializable

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

36. #### trait ScanTree[U >: T] extends AnyRef

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

37. #### abstract class SeqComposite[FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends Composite[FR, SR, R, First, Second]

    Sequentially performs one task after another.

38. #### trait SignallingOps[PI <: DelegatedSignalling] extends AnyRef

    Definition Classes
      ParIterableLike

39. #### class Slice[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Slice[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

40. #### class Span[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), Span[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

41. #### class SplitAt[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), SplitAt[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

42. #### trait StrictSplitterCheckTask[R, Tp] extends Task[R, Tp]

    Attributes
      protected
    Definition Classes
      ParIterableLike

43. #### class Sum[U >: T] extends Accessor[U, Sum[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

44. #### class Take[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Take[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

45. #### class TakeWhile[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Boolean), TakeWhile[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

46. #### trait TaskOps[R, Tp] extends AnyRef

    Definition Classes
      ParIterableLike

47. #### class ToParCollection[U >: T, That] extends Transformer[Combiner[U, That], ToParCollection[U, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

48. #### class ToParMap[K, V, That] extends Transformer[Combiner[(K, V), That], ToParMap[K, V, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

49. #### trait Transformer[R, Tp] extends Accessor[R, Tp]

    Attributes
      protected
    Definition Classes
      ParIterableLike

50. #### class Zip[U >: T, S, That] extends Transformer[Combiner[(U, S), That], Zip[U, S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

51. #### class ZipAll[U >: T, S, That] extends Transformer[Combiner[(U, S), That], ZipAll[U, S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

### Abstract Value Members

1. #### abstract def +=(kv: (K, V)): ParMapLike.this.type

   adds a single element to this shrinkable collection.

   adds a single element to this shrinkable collection.

   returns

     the shrinkable collection itself

   Definition Classes
     ParMapLike → Growable

2. #### abstract def -=(key: K): ParMapLike.this.type

   Removes a single element from this shrinkable collection.

   Removes a single element from this shrinkable collection.

   returns

     the shrinkable collection itself

   Definition Classes
     ParMapLike → Shrinkable

3. #### abstract def clear(): Unit

   Clears the shrinkable collection's contents.

   Clears the shrinkable collection's contents. After this operation, the shrinkable collection is empty.

   Definition Classes
     ParMapLike → Growable → Clearable

4. #### abstract def empty: Repr

   Definition Classes
     ParMapLike

5. #### abstract def get(key: K): Option[V]

   Definition Classes
     GenMapLike

6. #### abstract def newCombiner: Combiner[(K, V), Repr]

   Attributes
     protected[this]
   Definition Classes
     HasNewCombiner

7. #### abstract def put(key: K, value: V): Option[V]

8. #### abstract def seq: Sequential

   Definition Classes
     ParIterableLike → Parallelizable → GenTraversableOnce

9. #### abstract def size: Int

   The size of this shrinkable collection.

   The size of this shrinkable collection.

   Note: will not terminate for infinite-sized collections.

   returns

     the number of elements in this shrinkable collection.

   Definition Classes
     GenTraversableLike → GenTraversableOnce

10. #### abstract def splitter: IterableSplitter[(K, V)]

    Creates a new parallel iterator used to traverse the elements of this parallel collection.

    Creates a new parallel iterator used to traverse the elements of this parallel collection. This iterator is more specific than the iterator of the returned by `iterator`, and augmented with additional accessor and transformer methods.

    returns

      a parallel iterator

    Attributes
      protected[scala.collection.parallel]
    Definition Classes
      ParIterableLike

11. #### abstract def stringPrefix: String

    Defines the prefix of this object's `toString` representation.

    Defines the prefix of this object's `toString` representation.

    returns

      a string representation which starts the result of `toString` applied to this shrinkable collection. By default the string prefix is the simple name of the collection class shrinkable collection.

    Definition Classes
      GenTraversableLike

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +[U >: V](kv: (K, U)): ParMap[K, U]

   Definition Classes
     ParMapLike → GenMapLike

5. #### def ++[B](that: GenTraversableOnce[B]): Shrinkable[B]

   [use case] Returns a new shrinkable collection containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new shrinkable collection containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the shrinkable collection is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new shrinkable collection which contains all elements of this shrinkable collection followed by all elements of `that`.

   Definition Classes
     ParIterableLike → GenTraversableLike
   Full Signature

   #### def ++[U >: (K, V), That](that: GenTraversableOnce[U])(implicit bf: CanBuildFrom[Repr, U, That]): That

6. #### def ++=(xs: TraversableOnce[(K, V)]): ParMapLike.this.type

   adds all elements produced by a TraversableOnce to this shrinkable collection.

   adds all elements produced by a TraversableOnce to this shrinkable collection.

   xs

     the TraversableOnce producing the elements to add.

   returns

     the shrinkable collection itself.

   Definition Classes
     Growable

7. #### def +=(elem1: (K, V), elem2: (K, V), elems: (K, V)*): ParMapLike.this.type

   adds two or more elements to this shrinkable collection.

   adds two or more elements to this shrinkable collection.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     the shrinkable collection itself

   Definition Classes
     Growable

8. #### def -(key: K): Repr

   Definition Classes
     ParMapLike → GenMapLike

9. #### def --=(xs: TraversableOnce[K]): ParMapLike.this.type

   Removes all elements produced by an iterator from this shrinkable collection.

   Removes all elements produced by an iterator from this shrinkable collection.

   xs

     the iterator producing the elements to remove.

   returns

     the shrinkable collection itself

   Definition Classes
     Shrinkable

10. #### def -=(elem1: K, elem2: K, elems: K*): ParMapLike.this.type

    Removes two or more elements from this shrinkable collection.

    Removes two or more elements from this shrinkable collection.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      the shrinkable collection itself

    Definition Classes
      Shrinkable

11. #### def ->[B](y: B): (ParMapLike[K, V, Repr, Sequential], B)

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to ArrowAssoc[ParMapLike[K, V, Repr, Sequential]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()

12. #### def /:[S](z: S)(op: (S, (K, V)) ⇒ S): S

    Applies a binary operator to a start value and all elements of this shrinkable collection, going left to right.

    Applies a binary operator to a start value and all elements of this shrinkable collection, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this shrinkable collection, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this shrinkable collection.

    Definition Classes
      ParIterableLike → GenTraversableOnce

13. #### def :\[S](z: S)(op: ((K, V), S) ⇒ S): S

    Applies a binary operator to all elements of this shrinkable collection and a start value, going right to left.

    Applies a binary operator to all elements of this shrinkable collection and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this shrinkable collection, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this shrinkable collection.

    Definition Classes
      ParIterableLike → GenTraversableOnce

14. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

16. #### def aggregate[S](z: S)(seqop: (S, (K, V)) ⇒ S, combop: (S, S) ⇒ S): S

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    S

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      ParIterableLike → GenTraversableOnce

17. #### def apply(key: K): V

    Definition Classes
      ParMapLike → GenMapLike

18. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

19. #### def asParIterable: parallel.ParIterable[(K, V)]

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to TraversableOps[(K, V)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

20. #### def asParSeq: parallel.ParSeq[(K, V)]

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to TraversableOps[(K, V)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

21. #### def bf2seq[S, That](bf: CanBuildFrom[Repr, S, That]): CanBuildFrom[Sequential, S, That]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

22. #### implicit def builder2ops[Elem, To](cb: Builder[Elem, To]): BuilderOps[Elem, To]

    Attributes
      protected
    Definition Classes
      ParIterableLike

23. #### def canEqual(other: Any): Boolean

    Definition Classes
      ParIterableLike

24. #### def clone(): Repr

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

25. #### def collect[B](pf: PartialFunction[A, B]): Shrinkable[B]

    [use case] Builds a new collection by applying a partial function to all elements of this shrinkable collection on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this shrinkable collection on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the shrinkable collection.

    returns

      a new shrinkable collection resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Full Signature

    #### def collect[S, That](pf: PartialFunction[(K, V), S])(implicit bf: CanBuildFrom[Repr, S, That]): That

26. #### def combinerFactory[S, That](cbf: () ⇒ Combiner[S, That]): CombinerFactory[S, That]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

27. #### def combinerFactory: CombinerFactory[(K, V), Repr]

    Creates a combiner factory.

    Creates a combiner factory. Each combiner factory instance is used once per invocation of a parallel transformer method for a single collection.

    The default combiner factory creates a new combiner every time it is requested, unless the combiner is thread-safe as indicated by its `canBeShared` method. In this case, the method returns a factory which returns the same combiner each time. This is typically done for concurrent parallel collections, the combiners of which allow thread safe access.

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

28. #### def contains(key: K): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

    Definition Classes
      ParMapLike → GenMapLike

29. #### def copyToArray[U >: (K, V)](xs: Array[U], start: Int, len: Int): Unit

    Definition Classes
      ParIterableLike → GenTraversableOnce

30. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this shrinkable collection to an array.

    [use case]

    Copies values of this shrinkable collection to an array. Fills the given array `xs` with values of this shrinkable collection, beginning at index `start`. Copying will stop once either the end of the current shrinkable collection is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def copyToArray[U >: (K, V)](xs: Array[U], start: Int): Unit

31. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this shrinkable collection to an array.

    [use case]

    Copies values of this shrinkable collection to an array. Fills the given array `xs` with values of this shrinkable collection. Copying will stop once either the end of the current shrinkable collection is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def copyToArray[U >: (K, V)](xs: Array[U]): Unit

32. #### def count(p: ((K, V)) ⇒ Boolean): Int

    Counts the number of elements in the shrinkable collection which satisfy a predicate.

    Counts the number of elements in the shrinkable collection which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      ParIterableLike → GenTraversableOnce

33. #### def debugBuffer: ArrayBuffer[String]

    Definition Classes
      ParIterableLike

34. #### def default(key: K): V

    Definition Classes
      ParMapLike → GenMapLike

35. #### implicit def delegatedSignalling2ops[PI <: DelegatedSignalling](it: PI): SignallingOps[PI]

    Attributes
      protected
    Definition Classes
      ParIterableLike

36. #### def drop(n: Int): Repr

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this shrinkable collection.

    returns

      a shrinkable collection consisting of all elements of this shrinkable collection except the first `n` ones, or else the empty shrinkable collection, if this shrinkable collection has less than `n` elements.

    Definition Classes
      ParIterableLike → GenTraversableLike

37. #### def dropWhile(pred: ((K, V)) ⇒ Boolean): Repr

    Drops all elements in the longest prefix of elements that satisfy the predicate, and returns a collection composed of the remaining elements.

    Drops all elements in the longest prefix of elements that satisfy the predicate, and returns a collection composed of the remaining elements.

    This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

    pred

      the predicate used to test the elements

    returns

      a collection composed of all the elements after the longest prefix of elements in this shrinkable collection that satisfy the predicate `pred`

    Definition Classes
      ParIterableLike → GenTraversableLike

38. #### def ensuring(cond: (ParMapLike[K, V, Repr, Sequential]) ⇒ Boolean, msg: ⇒ Any): ParMapLike[K, V, Repr, Sequential]

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to Ensuring[ParMapLike[K, V, Repr, Sequential]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

39. #### def ensuring(cond: (ParMapLike[K, V, Repr, Sequential]) ⇒ Boolean): ParMapLike[K, V, Repr, Sequential]

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to Ensuring[ParMapLike[K, V, Repr, Sequential]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

40. #### def ensuring(cond: Boolean, msg: ⇒ Any): ParMapLike[K, V, Repr, Sequential]

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to Ensuring[ParMapLike[K, V, Repr, Sequential]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

41. #### def ensuring(cond: Boolean): ParMapLike[K, V, Repr, Sequential]

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to Ensuring[ParMapLike[K, V, Repr, Sequential]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

42. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

43. #### def equals(that: Any): Boolean

    Compares two maps structurally; i.

    Compares two maps structurally; i.e. checks if all mappings contained in this map are also contained in the other map, and vice versa.

    that

      the other map

    returns

      `true` if both maps contain exactly the same mappings, `false` otherwise.

    Definition Classes
      GenMapLike → Equals → AnyRef → Any

44. #### def exists(pred: ((K, V)) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some element of this shrinkable collection.

    Tests whether a predicate holds for some element of this shrinkable collection.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      a predicate used to test elements

    returns

      true if `p` holds for some element, false otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

45. #### def filter(pred: ((K, V)) ⇒ Boolean): Repr

    Selects all elements of this shrinkable collection which satisfy a predicate.

    Selects all elements of this shrinkable collection which satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new shrinkable collection consisting of all elements of this shrinkable collection that satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike

46. #### def filterKeys(p: (K) ⇒ Boolean): parallel.ParMap[K, V]

    Filters this map by retaining only keys satisfying a predicate.

    Filters this map by retaining only keys satisfying a predicate.

    p

      the predicate used to test keys

    returns

      an immutable map consisting only of those key value pairs of this map where the key satisfies the predicate `p`. The resulting map wraps the original map without copying any elements.

    Definition Classes
      ParMapLike → GenMapLike

47. #### def filterNot(pred: ((K, V)) ⇒ Boolean): Repr

    Selects all elements of this shrinkable collection which do not satisfy a predicate.

    Selects all elements of this shrinkable collection which do not satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new shrinkable collection consisting of all elements of this shrinkable collection that do not satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike

48. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

49. #### def find(pred: ((K, V)) ⇒ Boolean): Option[(K, V)]

    Finds some element in the collection for which the predicate holds, if such an element exists.

    Finds some element in the collection for which the predicate holds, if such an element exists. The element may not necessarily be the first such element in the iteration order.

    If there are multiple elements obeying the predicate, the choice is nondeterministic.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      predicate used to test the elements

    returns

      an option value with the element if such an element exists, or `None` otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

50. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): Shrinkable[B]

    [use case] Builds a new collection by applying a function to all elements of this shrinkable collection and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this shrinkable collection and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of shrinkable collection. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new shrinkable collection resulting from applying the given collection-valued function `f` to each element of this shrinkable collection and concatenating the results.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Full Signature

    #### def flatMap[S, That](f: ((K, V)) ⇒ GenTraversableOnce[S])(implicit bf: CanBuildFrom[Repr, S, That]): That

51. #### def fold[U >: (K, V)](z: U)(op: (U, U) ⇒ U): U

    Folds the elements of this sequence using the specified associative binary operator.

    Folds the elements of this sequence using the specified associative binary operator. The order in which the elements are reduced is unspecified and may be nondeterministic.

    Note this method has a different signature than the `foldLeft` and `foldRight` methods of the trait `Traversable`. The result of folding may only be a supertype of this parallel collection's type parameter `T`.

    U

      a type parameter for the binary operator, a supertype of `T`.

    z

      a neutral element for the fold operation, it may be added to the result an arbitrary number of times, not changing the result (e.g. `Nil` for list concatenation, 0 for addition, or 1 for multiplication)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      ParIterableLike → GenTraversableOnce

52. #### def foldLeft[S](z: S)(op: (S, (K, V)) ⇒ S): S

    Applies a binary operator to a start value and all elements of this shrinkable collection, going left to right.

    Applies a binary operator to a start value and all elements of this shrinkable collection, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this shrinkable collection, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this shrinkable collection.

    Definition Classes
      ParIterableLike → GenTraversableOnce

53. #### def foldRight[S](z: S)(op: ((K, V), S) ⇒ S): S

    Applies a binary operator to all elements of this shrinkable collection and a start value, going right to left.

    Applies a binary operator to all elements of this shrinkable collection and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this shrinkable collection, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this shrinkable collection.

    Definition Classes
      ParIterableLike → GenTraversableOnce

54. #### def forall(pred: ((K, V)) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this shrinkable collection.

    Tests whether a predicate holds for all elements of this shrinkable collection.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      a predicate used to test elements

    returns

      true if `p` holds for all elements, false otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

55. #### def foreach[U](f: ((K, V)) ⇒ U): Unit

    Applies a function `f` to all the elements of shrinkable collection in a undefined order.

    Applies a function `f` to all the elements of shrinkable collection in a undefined order.

    U

      the result type of the function applied to each element, which is always discarded

    f

      function applied to each element

    Definition Classes
      ParIterableLike → GenTraversableLike → GenTraversableOnce

56. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

57. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

58. #### def getOrElse(key: A, default: ⇒ B): B

    [use case] Returns the value associated with a key, or a default value if the key is not contained in the map.

    [use case]

    Returns the value associated with a key, or a default value if the key is not contained in the map.

    key

      the key.

    default

      a computation that yields a default value in case no binding for `key` is found in the map.

    returns

      the value associated with `key` if it exists, otherwise the result of the `default` computation.

    Definition Classes
      ParMapLike → GenMapLike
    Full Signature

    #### def getOrElse[U >: V](key: K, default: ⇒ U): U

59. #### def groupBy[K](f: ((K, V)) ⇒ K): immutable.ParMap[K, Repr]

    Partitions this shrinkable collection into a map of shrinkable collections according to some discriminator function.

    Partitions this shrinkable collection into a map of shrinkable collections according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new shrinkable collection.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to shrinkable collections such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a shrinkable collection of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      ParIterableLike → GenTraversableLike

60. #### def hasDefiniteSize: Boolean

    Definition Classes
      ParIterableLike → GenTraversableOnce

61. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenMapLike → AnyRef → Any

62. #### def head: (K, V)

    Selects the first element of this shrinkable collection.

    Selects the first element of this shrinkable collection.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this shrinkable collection.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the shrinkable collection is empty.

63. #### def headOption: Option[(K, V)]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this shrinkable collection if it is nonempty, `None` if it is empty.

    Definition Classes
      ParIterableLike → GenTraversableLike

64. #### def ifParSeq[R](isbody: (parallel.ParSeq[(K, V)]) ⇒ R): (TraversableOps[(K, V)])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to TraversableOps[(K, V)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

65. #### def init: Repr

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a shrinkable collection consisting of all elements of this shrinkable collection except the last one.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the shrinkable collection is empty.

66. #### def initTaskSupport(): Unit

    Attributes
      protected
    Definition Classes
      ParIterableLike

67. #### def isDefinedAt(key: K): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key. This method, which implements an abstract method of trait `PartialFunction`, is equivalent to `contains`.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

    Definition Classes
      ParMapLike → GenMapLike

68. #### def isEmpty: Boolean

    Tests whether the shrinkable collection is empty.

    Tests whether the shrinkable collection is empty.

    returns

      `true` if the shrinkable collection contains no elements, `false` otherwise.

    Definition Classes
      ParIterableLike → GenTraversableOnce

69. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

70. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to TraversableOps[(K, V)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

71. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to TraversableOps[(K, V)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

72. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to TraversableOps[(K, V)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

73. #### def isStrictSplitterCollection: Boolean

    Denotes whether this parallel collection has strict splitters.

    Denotes whether this parallel collection has strict splitters.

    This is true in general, and specific collection instances may choose to override this method. Such collections will fail to execute methods which rely on splitters being strict, i.e. returning a correct value in the `remaining` method.

    This method helps ensure that such failures occur on method invocations, rather than later on and in unpredictable ways.

    Definition Classes
      ParIterableLike

74. #### final def isTraversableAgain: Boolean

    Tests whether this shrinkable collection can be repeatedly traversed.

    Tests whether this shrinkable collection can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      ParIterableLike → GenTraversableLike → GenTraversableOnce

75. #### def iterator: Splitter[(K, V)]

    Creates a new split iterator used to traverse the elements of this collection.

    Creates a new split iterator used to traverse the elements of this collection.

    By default, this method is implemented in terms of the protected `splitter` method.

    returns

      a split iterator

    Definition Classes
      ParIterableLike → GenIterableLike

76. #### def keySet: parallel.ParSet[K]

    Definition Classes
      ParMapLike → GenMapLike

77. #### def keys: parallel.ParIterable[K]

    Collects all keys of this map in an iterable collection.

    Collects all keys of this map in an iterable collection.

    returns

      the keys of this map as an iterable.

    Definition Classes
      ParMapLike → GenMapLike

78. #### def keysIterator: IterableSplitter[K]

    Creates an iterator for all keys.

    Creates an iterator for all keys.

    returns

      an iterator over all keys.

    Definition Classes
      ParMapLike → GenMapLike

79. #### def last: (K, V)

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this shrinkable collection.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the shrinkable collection is empty.

80. #### def lastOption: Option[(K, V)]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this shrinkable collection$ if it is nonempty, `None` if it is empty.

    Definition Classes
      ParIterableLike → GenTraversableLike

81. #### def map[B](f: (A) ⇒ B): Shrinkable[B]

    [use case] Builds a new collection by applying a function to all elements of this shrinkable collection.

    [use case]

    Builds a new collection by applying a function to all elements of this shrinkable collection.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new shrinkable collection resulting from applying the given function `f` to each element of this shrinkable collection and collecting the results.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Full Signature

    #### def map[S, That](f: ((K, V)) ⇒ S)(implicit bf: CanBuildFrom[Repr, S, That]): That

82. #### def mapValues[S](f: (V) ⇒ S): parallel.ParMap[K, S]

    Transforms this map by applying a function to every retrieved value.

    Transforms this map by applying a function to every retrieved value.

    f

      the function used to transform values of this map.

    returns

      a map view which maps every key of this map to `f(this(key))`. The resulting map wraps the original map without copying any elements.

    Definition Classes
      ParMapLike → GenMapLike

83. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this shrinkable collection.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def max[U >: (K, V)](implicit ord: Ordering[U]): (K, V)

84. #### def maxBy[S](f: ((K, V)) ⇒ S)(implicit cmp: Ordering[S]): (K, V)

    Definition Classes
      ParIterableLike → GenTraversableOnce

85. #### def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this shrinkable collection

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def min[U >: (K, V)](implicit ord: Ordering[U]): (K, V)

86. #### def minBy[S](f: ((K, V)) ⇒ S)(implicit cmp: Ordering[S]): (K, V)

    Definition Classes
      ParIterableLike → GenTraversableOnce

87. #### def mkString: String

    Displays all elements of this shrinkable collection in a string.

    Displays all elements of this shrinkable collection in a string.

    returns

      a string representation of this shrinkable collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this shrinkable collection follow each other without any separator string.

    Definition Classes
      ParIterableLike → GenTraversableOnce

88. #### def mkString(sep: String): String

    Displays all elements of this shrinkable collection in a string using a separator string.

    Displays all elements of this shrinkable collection in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this shrinkable collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this shrinkable collection are separated by the string `sep`.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

89. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this shrinkable collection in a string using start, end, and separator strings.

    Displays all elements of this shrinkable collection in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this shrinkable collection. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this shrinkable collection are separated by the string `sep`.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

90. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

91. #### def nonEmpty: Boolean

    Tests whether the shrinkable collection is not empty.

    Tests whether the shrinkable collection is not empty.

    returns

      `true` if the shrinkable collection contains at least one element, `false` otherwise.

    Definition Classes
      ParIterableLike → GenTraversableOnce

92. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

93. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

94. #### def par: Repr

    Returns a parallel implementation of this collection.

    Returns a parallel implementation of this collection.

    For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

    Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

    All parallel collections return a reference to themselves.

    returns

      a parallel implementation of this collection

    Definition Classes
      ParIterableLike → CustomParallelizable → Parallelizable

95. #### def parCombiner: Combiner[(K, V), Repr]

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    returns

      a combiner for the parallel collection of type `ParRepr`

    Attributes
      protected[this]
    Definition Classes
      CustomParallelizable → Parallelizable

96. #### def partition(pred: ((K, V)) ⇒ Boolean): (Repr, Repr)

    Partitions this shrinkable collection in two shrinkable collections according to a predicate.

    Partitions this shrinkable collection in two shrinkable collections according to a predicate.

    pred

      the predicate on which to partition.

    returns

      a pair of shrinkable collections: the first shrinkable collection consists of all elements that satisfy the predicate `p` and the second shrinkable collection consists of all elements that don't. The relative order of the elements in the resulting shrinkable collections may not be preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike

97. #### def product: A

    [use case] Multiplies up the elements of this collection.

    [use case]

    Multiplies up the elements of this collection.

    returns

      the product of all elements in this shrinkable collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the shrinkable collection and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def product[U >: (K, V)](implicit num: Numeric[U]): U

98. #### def reduce[U >: (K, V)](op: (U, U) ⇒ U): U

    Reduces the elements of this sequence using the specified associative binary operator.

    Reduces the elements of this sequence using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    Note this method has a different signature than the `reduceLeft` and `reduceRight` methods of the trait `Traversable`. The result of reducing may only be a supertype of this parallel collection's type parameter `T`.

    U

      A type parameter for the binary operator, a supertype of `T`.

    op

      A binary operator that must be associative.

    returns

      The result of applying reduce operator `op` between all the elements if the collection is nonempty.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Exceptions thrown
      UnsupportedOperationException

      if this shrinkable collection is empty.

99. #### def reduceLeft[U >: (K, V)](op: (U, (K, V)) ⇒ U): U

    Definition Classes
      ParIterableLike

100. #### def reduceLeftOption[U >: (K, V)](op: (U, (K, V)) ⇒ U): Option[U]

     Optionally applies a binary operator to all elements of this shrinkable collection, going left to right.

     Optionally applies a binary operator to all elements of this shrinkable collection, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this shrinkable collection is nonempty, `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

101. #### def reduceOption[U >: (K, V)](op: (U, U) ⇒ U): Option[U]

     Optionally reduces the elements of this sequence using the specified associative binary operator.

     Optionally reduces the elements of this sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     Note this method has a different signature than the `reduceLeftOption` and `reduceRightOption` methods of the trait `Traversable`. The result of reducing may only be a supertype of this parallel collection's type parameter `T`.

     U

       A type parameter for the binary operator, a supertype of `T`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

102. #### def reduceRight[U >: (K, V)](op: ((K, V), U) ⇒ U): U

     Applies a binary operator to all elements of this shrinkable collection, going right to left.

     Applies a binary operator to all elements of this shrinkable collection, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this shrinkable collection, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this shrinkable collection is empty.

103. #### def reduceRightOption[U >: (K, V)](op: ((K, V), U) ⇒ U): Option[U]

     Optionally applies a binary operator to all elements of this shrinkable collection, going right to left.

     Optionally applies a binary operator to all elements of this shrinkable collection, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this shrinkable collection is nonempty, `None` otherwise.

     Definition Classes
       ParIterableLike → GenTraversableOnce

104. #### def repr: Repr

     Definition Classes
       ParIterableLike → GenTraversableLike

105. #### def reuse[S, That](oldc: Option[Combiner[S, That]], newc: Combiner[S, That]): Combiner[S, That]

     Optionally reuses an existing combiner for better performance.

     Optionally reuses an existing combiner for better performance. By default it doesn't - subclasses may override this behaviour. The provided combiner `oldc` that can potentially be reused will be either some combiner from the previous computational task, or `None` if there was no previous phase (in which case this method must return `newc`).

     oldc

       The combiner that is the result of the previous task, or `None` if there was no previous task.

     newc

       The new, empty combiner that can be used.

     returns

       Either `newc` or `oldc`.

     Attributes
       protected
     Definition Classes
       ParIterableLike

106. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this shrinkable collection.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this shrinkable collection.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Note: will not terminate for infinite-sized collections.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       ParIterableLike → GenIterableLike
     Full Signature

     #### def sameElements[U >: (K, V)](that: GenIterable[U]): Boolean

107. #### def scan(z: (K, V))(op: ((K, V), (K, V)) ⇒ (K, V)): Shrinkable[(K, V)]

     [use case] Computes a prefix scan of the elements of the collection.

     [use case]

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     returns

       a new shrinkable collection containing the prefix scan of the elements in this shrinkable collection

     Definition Classes
       ParIterableLike → GenTraversableLike
     Full Signature

     #### def scan[U >: (K, V), That](z: U)(op: (U, U) ⇒ U)(implicit bf: CanBuildFrom[Repr, U, That]): That

108. #### def scanBlockSize: Int

     Attributes
       protected[this]
     Definition Classes
       ParIterableLike

109. #### def scanLeft[S, That](z: S)(op: (S, (K, V)) ⇒ S)(implicit bf: CanBuildFrom[Repr, S, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       ParIterableLike → GenTraversableLike

110. #### def scanRight[S, That](z: S)(op: ((K, V), S) ⇒ S)(implicit bf: CanBuildFrom[Repr, S, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       ParIterableLike → GenTraversableLike

111. #### def sequentially[S, That <: Parallel](b: (Sequential) ⇒ Parallelizable[S, That]): Repr

     Attributes
       protected[this]
     Definition Classes
       ParIterableLike

112. #### def slice(unc_from: Int, unc_until: Int): Repr

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     unc_from

       the lowest index to include from this shrinkable collection.

     unc_until

       the lowest index to EXCLUDE from this shrinkable collection.

     returns

       a shrinkable collection containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableLike

113. #### def span(pred: ((K, V)) ⇒ Boolean): (Repr, Repr)

     Splits this shrinkable collection into a prefix/suffix pair according to a predicate.

     Splits this shrinkable collection into a prefix/suffix pair according to a predicate.

     This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

     pred

       the predicate used to test the elements

     returns

       a pair consisting of the longest prefix of the collection for which all the elements satisfy `pred`, and the rest of the collection

     Definition Classes
       ParIterableLike → GenTraversableLike

114. #### def splitAt(n: Int): (Repr, Repr)

     Splits this shrinkable collection into two at a given position.

     Splits this shrinkable collection into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of shrinkable collections consisting of the first `n` elements of this shrinkable collection, and the other elements.

     Definition Classes
       ParIterableLike → GenTraversableLike

115. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this shrinkable collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the shrinkable collection and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def sum[U >: (K, V)](implicit num: Numeric[U]): U

116. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

117. #### def tail: Repr

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a shrinkable collection consisting of all elements of this shrinkable collection except the first one.

     Definition Classes
       ParIterableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the shrinkable collection is empty.

118. #### def take(n: Int): Repr

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this shrinkable collection.

     returns

       a shrinkable collection consisting only of the first `n` elements of this shrinkable collection, or else the whole shrinkable collection, if it has less than `n` elements.

     Definition Classes
       ParIterableLike → GenTraversableLike

119. #### def takeWhile(pred: ((K, V)) ⇒ Boolean): Repr

     Takes the longest prefix of elements that satisfy the predicate.

     Takes the longest prefix of elements that satisfy the predicate.

     This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

     pred

       the predicate used to test the elements

     returns

       the longest prefix of this shrinkable collection of elements that satisy the predicate `pred`

     Definition Classes
       ParIterableLike → GenTraversableLike

120. #### implicit def task2ops[R, Tp](tsk: SSCTask[R, Tp]): TaskOps[R, Tp]

     Attributes
       protected
     Definition Classes
       ParIterableLike

121. #### def tasksupport: TaskSupport

     The task support object which is responsible for scheduling and load-balancing tasks to processors.

     The task support object which is responsible for scheduling and load-balancing tasks to processors.

     Definition Classes
       ParIterableLike
     See also

       scala.collection.parallel.TaskSupport

122. #### def tasksupport_=(ts: TaskSupport): Unit

     Changes the task support object which is responsible for scheduling and load-balancing tasks to processors.

     Changes the task support object which is responsible for scheduling and load-balancing tasks to processors.

     A task support object can be changed in a parallel collection after it has been created, but only during a quiescent period, i.e. while there are no concurrent invocations to parallel collection methods.

     Here is a way to change the task support of a parallel collection:

         import scala.collection.parallel._
         val pc = mutable.ParArray(1, 2, 3)
         pc.tasksupport = new ForkJoinTaskSupport(
           new scala.concurrent.forkjoin.ForkJoinPool(2))

     Definition Classes
       ParIterableLike
     See also

       scala.collection.parallel.TaskSupport

123. #### def to[Col[_]]: Col[A]

     [use case] Converts this shrinkable collection into another by copying all elements.

     [use case]

     Converts this shrinkable collection into another by copying all elements.

     Note: will not terminate for infinite-sized collections.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, (K, V), Col[(K, V)]]): Col[(K, V)]

124. #### def toArray: Array[A]

     [use case] Converts this shrinkable collection to an array.

     [use case]

     Converts this shrinkable collection to an array.

     Note: will not terminate for infinite-sized collections.

     returns

       an array containing all elements of this shrinkable collection. An `ClassTag` must be available for the element type of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def toArray[U >: (K, V)](implicit arg0: ClassTag[U]): Array[U]

125. #### def toBuffer[U >: (K, V)]: Buffer[U]

     Converts this shrinkable collection to a mutable buffer.

     Converts this shrinkable collection to a mutable buffer.

     Note: will not terminate for infinite-sized collections.

     returns

       a buffer containing all elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce

126. #### def toIndexedSeq: immutable.IndexedSeq[(K, V)]

     Converts this shrinkable collection to an indexed sequence.

     Converts this shrinkable collection to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce

127. #### def toIterable: parallel.ParIterable[(K, V)]

     Converts this shrinkable collection to an iterable collection.

     Converts this shrinkable collection to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce

128. #### def toIterator: scala.Iterator[(K, V)]

     Returns an Iterator over the elements in this shrinkable collection.

     Returns an Iterator over the elements in this shrinkable collection. Will return the same Iterator if this instance is already an Iterator.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce

129. #### def toList: List[(K, V)]

     Converts this shrinkable collection to a list.

     Converts this shrinkable collection to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce

130. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this shrinkable collection to a map.

     [use case]

     Converts this shrinkable collection to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite-sized collections.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def toMap[K, V](implicit ev: <:<[(K, V), (K, V)]): immutable.ParMap[K, V]

131. #### def toParArray: ParArray[(K, V)]

     Implicit information
       This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to TraversableOps[(K, V)] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

132. #### def toParCollection[U >: (K, V), That](cbf: () ⇒ Combiner[U, That]): That

     Attributes
       protected
     Definition Classes
       ParIterableLike

133. #### def toParMap[K, V, That](cbf: () ⇒ Combiner[(K, V), That])(implicit ev: <:<[(K, V), (K, V)]): That

     Attributes
       protected
     Definition Classes
       ParIterableLike

134. #### def toSeq: parallel.ParSeq[(K, V)]

     Converts this shrinkable collection to a sequence.

     Converts this shrinkable collection to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     Note: will not terminate for infinite-sized collections.

     returns

       a sequence containing all elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce

135. #### def toSet[U >: (K, V)]: immutable.ParSet[U]

     Converts this shrinkable collection to a set.

     Converts this shrinkable collection to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce

136. #### def toStream: Stream[(K, V)]

     Converts this shrinkable collection to a stream.

     Converts this shrinkable collection to a stream.

     Note: will not terminate for infinite-sized collections.

     returns

       a stream containing all elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce

137. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       ParIterableLike → AnyRef → Any

138. #### def toTraversable: GenTraversable[(K, V)]

     Converts this shrinkable collection to an unspecified Traversable.

     Converts this shrinkable collection to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce

139. #### def toVector: Vector[(K, V)]

     Converts this shrinkable collection to a Vector.

     Converts this shrinkable collection to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this shrinkable collection.

     Definition Classes
       ParIterableLike → GenTraversableOnce

140. #### def values: parallel.ParIterable[V]

     Collects all values of this map in an iterable collection.

     Collects all values of this map in an iterable collection.

     returns

       the values of this map as an iterable.

     Definition Classes
       ParMapLike → GenMapLike

141. #### def valuesIterator: IterableSplitter[V]

     Creates an iterator for all values in this map.

     Creates an iterator for all values in this map.

     returns

       an iterator over all values that are associated with some key in this map.

     Definition Classes
       ParMapLike → GenMapLike

142. #### def view: ParIterableView[(K, V), Repr, Sequential]

     Definition Classes
       ParIterableLike

143. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

144. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

145. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

146. #### def wrap[R](body: ⇒ R): NonDivisible[R]

     Attributes
       protected
     Definition Classes
       ParIterableLike

147. #### def zip[B](that: GenIterable[B]): Shrinkable[(A, B)]

     [use case] Returns a shrinkable collection formed from this shrinkable collection and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a shrinkable collection formed from this shrinkable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new shrinkable collection containing pairs consisting of corresponding elements of this shrinkable collection and `that`. The length of the returned collection is the minimum of the lengths of this shrinkable collection and `that`.

     Definition Classes
       ParIterableLike → GenIterableLike
     Full Signature

     #### def zip[U >: (K, V), S, That](that: GenIterable[S])(implicit bf: CanBuildFrom[Repr, (U, S), That]): That

148. #### def zipAll[B](that: Iterable[B], thisElem: A, thatElem: B): Shrinkable[(A, B)]

     [use case] Returns a shrinkable collection formed from this shrinkable collection and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a shrinkable collection formed from this shrinkable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this shrinkable collection is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this shrinkable collection.

     returns

       a new shrinkable collection containing pairs consisting of corresponding elements of this shrinkable collection and `that`. The length of the returned collection is the maximum of the lengths of this shrinkable collection and `that`. If this shrinkable collection is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this shrinkable collection, `thatElem` values are used to pad the result.

     Definition Classes
       ParIterableLike → GenIterableLike
     Full Signature

     #### def zipAll[S, U >: (K, V), That](that: GenIterable[S], thisElem: U, thatElem: S)(implicit bf: CanBuildFrom[Repr, (U, S), That]): That

149. #### def zipWithIndex: Shrinkable[(A, Int)]

     [use case] Zips this shrinkable collection with its indices.

     [use case]

     Zips this shrinkable collection with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       A new shrinkable collection containing pairs consisting of all elements of this shrinkable collection paired with their index. Indices start at `0`.

     Definition Classes
       ParIterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[U >: (K, V), That](implicit bf: CanBuildFrom[Repr, (U, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

150. #### def →[B](y: B): (ParMapLike[K, V, Repr, Sequential], B)

     Implicit information
       This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to ArrowAssoc[ParMapLike[K, V, Repr, Sequential]] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (parMapLike: StringAdd).+(other)

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (parMapLike: StringAdd).self

   Definition Classes
     StringAdd

3. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (parMapLike: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def /:\[A1 >: (K, V)](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: ParMapLike[K, V, Repr, Sequential]

   Implicit information
     This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to ArrowAssoc[ParMapLike[K, V, Repr, Sequential]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (parMapLike: ArrowAssoc[ParMapLike[K, V, Repr, Sequential]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: ParMapLike[K, V, Repr, Sequential]

   Implicit information
     This member is added by an implicit conversion from ParMapLike[K, V, Repr, Sequential] to Ensuring[ParMapLike[K, V, Repr, Sequential]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (parMapLike: Ensuring[ParMapLike[K, V, Repr, Sequential]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from mutable.Cloneable[Repr]

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Shrinkable[K]

### Inherited from Growable[(K, V)]

### Inherited from Clearable

### Inherited from parallel.ParMapLike[K, V, Repr, Sequential]

### Inherited from ParIterableLike[(K, V), Repr, Sequential]

### Inherited from HasNewCombiner[(K, V), Repr]

### Inherited from Parallel

### Inherited from CustomParallelizable[(K, V), Repr]

### Inherited from GenMapLike[K, V, Repr]

### Inherited from Equals

### Inherited from GenIterableLike[(K, V), Repr]

### Inherited from GenTraversableLike[(K, V), Repr]

### Inherited from Parallelizable[(K, V), Repr]

### Inherited from GenTraversableOnce[(K, V)]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from ParMapLike[K, V, Repr, Sequential] to TraversableOps[(K, V)]

### Inherited by implicit conversion any2stringadd from ParMapLike[K, V, Repr, Sequential] to StringAdd

### Inherited by implicit conversion any2stringfmt from ParMapLike[K, V, Repr, Sequential] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from ParMapLike[K, V, Repr, Sequential] to ArrowAssoc[ParMapLike[K, V, Repr, Sequential]]

### Inherited by implicit conversion any2Ensuring from ParMapLike[K, V, Repr, Sequential] to Ensuring[ParMapLike[K, V, Repr, Sequential]]

### Ungrouped